------------------------------------------------------------------------------------------------------
-- Local variables
------------------------------------------------------------------------------------------------------
local InstanceInfo = InstanceInfo;
local L = LibStub("AceLocale-3.0"):GetLocale("InstanceInfo");


------------------------------------------------------------------------------------------------------
-- Menu options
------------------------------------------------------------------------------------------------------
InstanceInfo.options = {
	name = "InstanceInfo",
	type = 'group',
	args = {
		gen = {
			type = "group",
			name = L["General Settings"],
			desc = L["Adjust various settings for InstanceInfo."],
			order = 10,
			args = {
				minlevel = {
					type = "range",
					name = L["Minimum Player Level"],
					desc = L["InstanceInfo will not save info for instances for characters below this level."],
					width = "full",
					get = function(info) return InstanceInfo.db.profile.minLevel; end,
					set = function(info, v) 
						InstanceInfo.db.profile.minLevel = v;
						InstanceInfo:UpdateBrokerText();
					end,
					min = 1,
					max = 80,
					step = 1,
					order = 10
				},
				showself = {
					type = "toggle",
					name = L["Show Only Own Instance Info"],
					desc = L["Toggles whether you will only see your own instance info."],
					width = "full",
					get = function(info) return InstanceInfo.db.profile.showSelf; end,
					set = function(info, v) 
						InstanceInfo.db.profile.showSelf = v;
						InstanceInfo:UpdateBrokerText();
					end,
					order = 20
				},
			}
		},
		profile = {
			type = "group",
			order = 25,
			name = L["Profile Options"],
			args = {
				desc = {
					order = 1,
					type = "description",
					name = L["InstanceInfo's saved variables are organized so you can have shared options across all your characters, while having different sets of custom buttons for each.  These options sections allow you to change the saved variable configurations so you can set up per-character options, or even share custom button setups between characters"],
				}
			}
		}
	}
};